Bug 917769

Summary: CVE-2013-1769 telepathy-gabble: NULL pointer dereference when trying to hash caps containingpathological data forms [fedora-all]
Product: [Fedora] Fedora Reporter: Brian Pepple <bdpepple>
Component: telepathy-gabbleAssignee: Brian Pepple <bdpepple>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 17CC: bdpepple, kseifried, sander, vdanen
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: 915963 Environment:
Last Closed: 2013-03-14 02:45:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 915962    

Description Brian Pepple 2013-03-04 18:04:35 UTC
+++ This bug was initially created as a clone of Bug #915963 +++


This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

--- Additional comment from Kurt Seifried on 2013-02-26 16:22:13 EST ---


Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=915962,915963

--- Additional comment from Fedora Update System on 2013-03-04 09:59:26 EST ---

telepathy-gabble-0.16.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/telepathy-gabble-0.16.5-1.fc18

Comment 1 Fedora Update System 2013-03-04 18:08:30 UTC
telepathy-gabble-0.16.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/telepathy-gabble-0.16.5-1.fc17

Comment 2 Vincent Danen 2013-03-04 22:15:31 UTC
Why did you clone this bug and not use the original bug for both F18 and F17?

Comment 3 Fedora Update System 2013-03-05 23:21:59 UTC
Package telepathy-gabble-0.16.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing telepathy-gabble-0.16.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3439/telepathy-gabble-0.16.5-1.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-03-14 02:45:24 UTC
telepathy-gabble-0.16.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.